/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)BadCommandException.java	1.6 07/05/04
 */

package com.sun.mail.iap;

/**
 * @author John Mani
 */

public class BadCommandException extends ProtocolException {

    private static final long serialVersionUID = 5769722539397237515L;

    /**
     * Constructs an BadCommandException with no detail message.
     */
    public BadCommandException() {
	super();
    }

    /**
     * Constructs an BadCommandException with the specified detail message.
     * @param s		the detail message
     */
    public BadCommandException(String s) {
	super(s);
    }

    /**
     * Constructs an BadCommandException with the specified Response.
     * @param r		the Response
     */
    public BadCommandException(Response r) {
	super(r);
    }
}
