/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)CommandFailedException.java	1.6 07/05/04
 */

package com.sun.mail.iap;

/**
 * @author John Mani
 */

public class CommandFailedException extends ProtocolException {

    private static final long serialVersionUID = 793932807880443631L;

    /**
     * Constructs an CommandFailedException with no detail message.
     */
    public CommandFailedException() {
	super();
    }

    /**
     * Constructs an CommandFailedException with the specified detail message.
     * @param s		the detail message
     */
    public CommandFailedException(String s) {
	super(s);
    }

    /**
     * Constructs an CommandFailedException with the specified Response.
     * @param r		the Response.
     */
    public CommandFailedException(Response r) {
	super(r);
    }
}
