/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)AppendUID.java	1.3 07/05/04
 */

package com.sun.mail.imap;

import com.sun.mail.iap.*;

/**
 * Information from the APPENDUID response code
 * defined by the UIDPLUS extension -
 * <A HREF="http://www.ietf.org/rfc/rfc2359.txt">RFC 2359</A>.
 *
 * @version 1.3, 07/05/04
 * @author  Bill Shannon
 */

public class AppendUID { 
    public long uidvalidity = -1;
    public long uid = -1;

    public AppendUID(long uidvalidity, long uid) {
	this.uidvalidity = uidvalidity;
	this.uid = uid;
    }
}
