/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/

/*
 * @(#)FolderListener.java	1.6 07/05/04
 */

package javax.mail.event;

import java.util.*;

/**
 * This is the Listener interface for Folder events.
 *
 * @author John Mani
 */

public interface FolderListener extends java.util.EventListener {
    /**
     * Invoked when a Folder is created.
     */
    public void folderCreated(FolderEvent e);

    /**
     * Invoked when a folder is deleted.
     */
    public void folderDeleted(FolderEvent e);

    /**
     * Invoked when a folder is renamed.
     */
    public void folderRenamed(FolderEvent e);
}
