/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.attachments;
import javax.sql.DataSource;

import org.eclipse.ebpm.attachments.db.DBAttachmentStore;
import org.eclipse.ebpm.attachments.fs.FileSystemAttachmentStore;
import org.eclipse.ebpm.constants.SpagicConstants;


public class AttachmentStoreManager {
	
	
	
	
	public  static IAttachmentStore getAttachmentStore (){
		return getIdentifiedAttachmentStore(getAttachmentStoreId());
	}
	
	private static String getAttachmentStoreId(){		
		String configured = System.getProperty(SpagicConstants.ATTACHMENT_STORE_TYPE);
		
		if (configured == null){
			configured = SpagicConstants.ATTACHMENT_STORE_FYLESYSTEM;
		}
		
		return configured;
	}
	
	private static IAttachmentStore getIdentifiedAttachmentStore(String name){
		
		if (name.equalsIgnoreCase(SpagicConstants.ATTACHMENT_STORE_DB)){
			try{
				return new DBAttachmentStore((DataSource) AttachmentsActivator.getDataSourceManager().getDataSource("attachments"));
			}catch (Exception e) {
				throw new RuntimeException(e);
			}
		}else{
			return new FileSystemAttachmentStore();
		}
	}
}
