/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.attachments;

import org.eclipse.ebpm.attachments.db.datasource.IDatasourceManagerTracker;
import org.eclipse.ebpm.datasource.IDataSourceManager;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class AttachmentsActivator implements BundleActivator {

	
	private static IDatasourceManagerTracker datasourceManagerTracker = null;

	/**
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		
		datasourceManagerTracker = new IDatasourceManagerTracker(context);
		datasourceManagerTracker.open();
	}

	/**
	 * 
	 */
	public void stop(BundleContext context) throws Exception {
	
	}
	

	


	public static IDataSourceManager getDataSourceManager(){
		return (IDataSourceManager)datasourceManagerTracker.getService();
	}

}
