/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.common.util;

import javax.xml.transform.Source;

import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Namespace;
import org.dom4j.QName;
import org.dom4j.io.DocumentSource;

public class DOM4JUtils {
	
	private static Source getDOM4JSourceFromStringBody(String body) throws Exception {
		Document doc = DocumentHelper.parseText(body);
    	DocumentSource ds = new DocumentSource(doc);
    	return ds;
	}
	
	public static  QName toDOM4JQName(javax.xml.namespace.QName qName){
		
		QName dom4JQName = QName.get(qName.getLocalPart(), new Namespace(qName.getPrefix(), qName.getNamespaceURI()));
		return dom4JQName;
	}
}
