/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.components.consoleout;

import org.eclipse.ebpm.core.BaseSpagicService;
import org.eclipse.ebpm.core.ExchangeUtils;
import org.eclipse.ebpm.messaging.api.Exchange;
import org.eclipse.ebpm.messaging.api.Message;
import org.eclipse.ebpm.messaging.api.Status;


public class ConsoleOutComponent extends BaseSpagicService {

	public void process(Exchange exchange){
	  // Skip done exchanges
      if (exchange.getStatus() == Status.Done) {
          return;
      // Handle error exchanges
      } else if (exchange.getStatus() == Status.Error) {
          return;
      }
      if (ExchangeUtils.isInAndOut(exchange)) {
      		fail(exchange, new UnsupportedOperationException("Use an InOnly or RobustInOnly MEP"));
      } else {
    	  Message in = exchange.getIn(false);
    	  String msgBody = in.getBodyText();
    	  System.out.println(msgBody);
          done(exchange);
      }
      
	}
    
	

}
