/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.connectors.filesystem.adapters;

import java.io.BufferedWriter;
import java.io.InputStream;
import java.io.PrintWriter;

import org.dom4j.Document;
import org.dom4j.io.SAXReader;
import org.eclipse.ebpm.messaging.api.Exchange;
import org.eclipse.ebpm.messaging.api.Message;

public class DefaultFileAdapter implements IFileAdapter{
	
	public String getOutputFileName(Exchange exchange, Message in){
		String fileName = null;
		fileName = (String)in.getHeader(IFileAdapter.FILE_NAME_PROPERTY);
		if (fileName == null)
			fileName = (String)exchange.getProperty(IFileAdapter.FILE_NAME_PROPERTY);
		return fileName;
	}

	@Override
	public void writeMessage(Exchange exchange, Message in, BufferedWriter bw) throws Exception  {
		String body = in.getBodyText();
		PrintWriter pw = new PrintWriter(bw);
		pw.write(body);
		pw.flush();
	}

	public void readFile(Exchange exchange, Message in, InputStream is, String filePath) throws Exception {
		SAXReader reader = new SAXReader();
		Document doc = reader.read(is);
		in.setHeader(IFileAdapter.FILE_PATH_PROPERTY, filePath);
		in.setBody(doc.asXML());
	    exchange.setIn(in);
	}

	@Override
	public String getAdapterId() {
		return "DEFAULT";
	}
	
	
}
