/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.constants;

public class TransitionStateConstants {
	
	// --------------- Protocol independent states ---------------
	
	public static final int TRANSITION_MISSING = -1;		// Not executed 
	public static final int TRANSITION_DONE = -2;		// Completed successfully
	public static final int TRANSITION_ACTIVE = -3;	// Executing
	public static final int TRANSITION_WARNING = -4;	// Warning 
	public static final int TRANSITION_FAULTED = -5;	// Faulted 
	
	// --------------- JBI specific states ---------------

	public static final int JBI_MEP_INONLY_ACTIVE = 0;
	public static final int JBI_MEP_INONLY_DONE = 1;
	// This state has no correspondence with JBI state but occurs if an error on InOnly MEP occurs
	public static final int JBI_MEP_INONLY_FAULT = 2;
	
	public static final int JBI_MEP_INOUT_ACTIVE = 3;
	public static final int JBI_MEP_INOUT_OUT = 4;
	public static final int JBI_MEP_INOUT_FAULT = 5;
	public static final int JBI_MEP_INOUT_DONE = 6;
	
	public static final int JBI_MEP_ROBUSTINONLY_ACTIVE = 7;
	public static final int JBI_MEP_ROBUSTINONLY_STEP1_DONE = 8;
	public static final int JBI_MEP_ROBUSTINONLY_STEP1_FAULT = 9;
	public static final int JBI_MEP_ROBUSTINONLY_DONE = 10;
	
	public static final int JBI_MEP_INOPTIONALOUT_ACTIVE = 11;
	public static final int JBI_MEP_INOPTIONALOUT_STEP1_OUT = 12;
	public static final int JBI_MEP_INOPTIONALOUT_STEP1_DONE = 13;
	public static final int JBI_MEP_INOPTIONALOUT_STEP1_FAULT = 14;
	public static final int JBI_MEP_INOPTIONALOUT_STEP2_DONE = 15;
	public static final int JBI_MEP_INOPTIONALOUT_STEP2_FAULT = 16;
	public static final int JBI_MEP_INOPTIONALOUT_DONE = 17;
	
	// --------------- BPEL specific states ---------------
	
	public static final int BPEL_START_ACTIVITY = 18;
	public static final int BPEL_END_ACTIVITY = 19;
	public static final int BPEL_FAULTED_ACTIVITY = 20;
	
	// --------------- JBPM specific states ---------------
	
	public static final int JBPM_AVAILABLE_ACTIVITY = 21;
	public static final int JBPM_DONE_ACTIVITY = 22;
	public static final int JBPM_FAULTED_ACTIVITY = 23;
	
}
