/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the attribute_catalog database table.
 * 
 */
@Entity
@Table(name="attribute_catalog")
public class AttributeCatalog implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private AttributeCatalogPK id;

	@Column(name="order_criteria")
	private int orderCriteria;

	private Boolean visible;

	//bi-directional many-to-one association to Catalog
    @ManyToOne
	@JoinColumn(name="id_catalog")
	private Catalog catalog;

	//bi-directional many-to-one association to Attribute
    @ManyToOne
	@JoinColumn(name="id_attribute")
	private Attribute attribute;

    public AttributeCatalog() {
    }

	public AttributeCatalogPK getId() {
		return this.id;
	}

	public void setId(AttributeCatalogPK id) {
		this.id = id;
	}
	
	public int getOrderCriteria() {
		return this.orderCriteria;
	}

	public void setOrderCriteria(int orderCriteria) {
		this.orderCriteria = orderCriteria;
	}

	public Boolean isVisible() {
		return this.visible;
	}

	public void setVisible(Boolean visible) {
		this.visible = visible;
	}

	public Catalog getCatalog() {
		return this.catalog;
	}

	public void setCatalog(Catalog catalog) {
		this.catalog = catalog;
	}
	
	public Attribute getAttribute() {
		return this.attribute;
	}

	public void setAttribute(Attribute attribute) {
		this.attribute = attribute;
	}
	
}