/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the attribute_catalog database table.
 * 
 */
@Embeddable
public class AttributeCatalogPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column(name="id_attribute", updatable = false, insertable = false)
	private Long idAttribute;

	@Column(name="id_catalog", updatable = false, insertable = false)
	private Long idCatalog;

    public AttributeCatalogPK() {
    }
	public Long getIdAttribute() {
		return this.idAttribute;
	}
	public void setIdAttribute(Long idAttribute) {
		this.idAttribute = idAttribute;
	}
	public Long getIdCatalog() {
		return this.idCatalog;
	}
	public void setIdCatalog(Long idCatalog) {
		this.idCatalog = idCatalog;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof AttributeCatalogPK)) {
			return false;
		}
		AttributeCatalogPK castOther = (AttributeCatalogPK)other;
		return 
			this.idAttribute.equals(castOther.idAttribute)
			&& this.idCatalog.equals(castOther.idCatalog);

    }
    
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.idAttribute.hashCode();
		hash = hash * prime + this.idCatalog.hashCode();
		
		return hash;
    }
}