/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * The persistent class for the catalog database table.
 * 
 */
@Entity
@Table(name="catalog")
public class Catalog implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue( generator = "catalog_gen")
	@Column(name="id_catalog")
	@SequenceGenerator(name = "catalog_gen", sequenceName="seq_catalog", allocationSize = 1)
	private Long idCatalog;

	private Boolean mandatory;

	private String name;

	private Boolean visible;

	//bi-directional many-to-one association to AttributeCatalog
	@OneToMany(mappedBy="catalog")
	private List<AttributeCatalog> attributeCatalogs;

    public Catalog() {
    }

	public Long getIdCatalog() {
		return this.idCatalog;
	}

	public void setIdCatalog(Long idCatalog) {
		this.idCatalog = idCatalog;
	}

	public Boolean isMandatory() {
		return this.mandatory;
	}

	public void setMandatory(Boolean mandatory) {
		this.mandatory = mandatory;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean isVisible() {
		return this.visible;
	}

	public void setVisible(Boolean visible) {
		this.visible = visible;
	}

	public List<AttributeCatalog> getAttributeCatalogs() {
		return this.attributeCatalogs;
	}

	public void setAttributeCatalogs(List<AttributeCatalog> attributeCatalogs) {
		this.attributeCatalogs = attributeCatalogs;
	}
	
}