/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;
import java.math.BigInteger;


/**
 * The persistent class for the exchange_store database table.
 * 
 */
@Entity
@Table(name="exchange_store")
public class ExchangeStore implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "exchange_store_gen")
	@SequenceGenerator(name = "exchange_store_gen", sequenceName="seq_exchange_store", allocationSize = 1)
	private Long id;

    @Lob()
	private byte[] data;

	@Column(name="process_id")
	private BigInteger processId;

    public ExchangeStore() {
    }

	public Long getId() {
		return this.id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public byte[] getData() {
		return this.data;
	}

	public void setData(byte[] data) {
		this.data = data;
	}

	public BigInteger getProcessId() {
		return this.processId;
	}

	public void setProcessId(BigInteger processId) {
		this.processId = processId;
	}

}