/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the monitoring_type database table.
 * 
 */
@Entity
@Table(name="monitoring_type")
public class MonitoringType implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.TABLE)
	@Column(name="id_monitoring_type")
	private Long idMonitoringType;

	@Column(name="type_value")
	private String typeValue;

	//bi-directional many-to-one association to Process
	@OneToMany(mappedBy="monitoringType")
	private List<Process> processes;

    public MonitoringType() {
    }

	public Long getIdMonitoringType() {
		return this.idMonitoringType;
	}

	public void setIdMonitoringType(Long idMonitoringType) {
		this.idMonitoringType = idMonitoringType;
	}

	public String getTypeValue() {
		return this.typeValue;
	}

	public void setTypeValue(String typeValue) {
		this.typeValue = typeValue;
	}

	public List<Process> getProcesses() {
		return this.processes;
	}

	public void setProcesses(List<Process> processes) {
		this.processes = processes;
	}
	
}