/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the pool_type_process database table.
 * 
 */
@Entity
@Table(name="pool_type_process")
public class PoolTypeProcess implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private PoolTypeProcessPK id;

	@Column(name="order_criteria")
	private int orderCriteria;

	//bi-directional many-to-one association to Process
    @ManyToOne
	@JoinColumn(name="id_process")
	private Process process;

	//bi-directional many-to-one association to PoolType
    @ManyToOne
	@JoinColumn(name="id_pool_type")
	private PoolType poolType;

    public PoolTypeProcess() {
    }

	public PoolTypeProcessPK getId() {
		return this.id;
	}

	public void setId(PoolTypeProcessPK id) {
		this.id = id;
	}
	
	public int getOrderCriteria() {
		return this.orderCriteria;
	}

	public void setOrderCriteria(int orderCriteria) {
		this.orderCriteria = orderCriteria;
	}

	public Process getProcess() {
		return this.process;
	}

	public void setProcess(Process process) {
		this.process = process;
	}
	
	public PoolType getPoolType() {
		return this.poolType;
	}

	public void setPoolType(PoolType poolType) {
		this.poolType = poolType;
	}
	
}