/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the pool_type_process database table.
 * 
 */
@Embeddable
public class PoolTypeProcessPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column(name="id_process", updatable = false, insertable = false)
	private Long idProcess;

	@Column(name="id_pool_type", updatable = false, insertable = false)
	private Long idPoolType;

    public PoolTypeProcessPK() {
    }
	public Long getIdProcess() {
		return this.idProcess;
	}
	public void setIdProcess(Long idProcess) {
		this.idProcess = idProcess;
	}
	public Long getIdPoolType() {
		return this.idPoolType;
	}
	public void setIdPoolType(Long idPoolType) {
		this.idPoolType = idPoolType;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof PoolTypeProcessPK)) {
			return false;
		}
		PoolTypeProcessPK castOther = (PoolTypeProcessPK)other;
		return 
			this.idProcess.equals(castOther.idProcess)
			&& this.idPoolType.equals(castOther.idPoolType);

    }
    
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.idProcess.hashCode();
		hash = hash * prime + this.idPoolType.hashCode();
		
		return hash;
    }
}