/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the search_query database table.
 * 
 */
@Entity
@Table(name="search_query")
public class SearchQuery implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "id_query_gen")
	@Column(name="id_query")
	@SequenceGenerator(name = "id_query_gen", sequenceName="seq_search_query", allocationSize = 1)
	private Long idQuery;

	private String label;

    @Lob()
	private String query;

    public SearchQuery() {
    }

	public Long getIdQuery() {
		return this.idQuery;
	}

	public void setIdQuery(Long idQuery) {
		this.idQuery = idQuery;
	}

	public String getLabel() {
		return this.label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getQuery() {
		return this.query;
	}

	public void setQuery(String query) {
		this.query = query;
	}

}