/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the step_rule database table.
 * 
 */
@Entity
@Table(name="step_rule")
public class StepRule implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private StepRulePK id;

	@Column(name="order_id")
	private int orderId;

	//bi-directional many-to-one association to Step
    @ManyToOne
	@JoinColumn(name="id_step")
	private Step step;

	//bi-directional many-to-one association to Rule
    @ManyToOne
	@JoinColumn(name="id_rule")
	private Rule rule;

    public StepRule() {
    }

	public StepRulePK getId() {
		return this.id;
	}

	public void setId(StepRulePK id) {
		this.id = id;
	}
	
	public int getOrderId() {
		return this.orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public Step getStep() {
		return this.step;
	}

	public void setStep(Step step) {
		this.step = step;
	}
	
	public Rule getRule() {
		return this.rule;
	}

	public void setRule(Rule rule) {
		this.rule = rule;
	}
	
}