/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the type_service database table.
 * 
 */
@Entity
@Table(name="type_service")
public class TypeService implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "id_ts_gen")
	@Column(name="id_ts")
	@SequenceGenerator(name = "id_ts_gen", sequenceName="seq_type_service", allocationSize = 1)
	private Long idTs;

	private String value;

	//bi-directional many-to-one association to Component
	@OneToMany(mappedBy="typeService")
	private List<Component> components;

	//bi-directional many-to-one association to Process
	@OneToMany(mappedBy="typeService")
	private List<Process> processes;

    public TypeService() {
    }

	public Long getIdTs() {
		return this.idTs;
	}

	public void setIdTs(Long idTs) {
		this.idTs = idTs;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public List<Component> getComponents() {
		return this.components;
	}

	public void setComponents(List<Component> components) {
		this.components = components;
	}
	
	public List<Process> getProcesses() {
		return this.processes;
	}

	public void setProcesses(List<Process> processes) {
		this.processes = processes;
	}
	
}