/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the variable_definition database table.
 * 
 */
@Entity
@Table(name="variable_definition")
public class VariableDefinition implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "id_variable_definition_gen")
	@Column(name="id_variable_definition")
	@SequenceGenerator(name = "id_variable_definition_gen", sequenceName="seq_variable_definition", allocationSize = 1)
	private Long idVariableDefinition;

	private String name;

    @Lob()
	private String varSchema;

	//bi-directional many-to-one association to Process
    @ManyToOne
	@JoinColumn(name="id_process")
	private Process process;

	//bi-directional many-to-one association to VariableInstance
	@OneToMany(mappedBy="variableDefinition")
	private List<VariableInstance> variableInstances;

    public VariableDefinition() {
    }

	public Long getIdVariableDefinition() {
		return this.idVariableDefinition;
	}

	public void setIdVariableDefinition(Long idVariableDefinition) {
		this.idVariableDefinition = idVariableDefinition;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVarSchema() {
		return this.varSchema;
	}

	public void setVarSchema(String varSchema) {
		this.varSchema = varSchema;
	}

	public Process getProcess() {
		return this.process;
	}

	public void setProcess(Process process) {
		this.process = process;
	}
	
	public List<VariableInstance> getVariableInstances() {
		return this.variableInstances;
	}

	public void setVariableInstances(List<VariableInstance> variableInstances) {
		this.variableInstances = variableInstances;
	}
	
}