/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.metadb.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the xml_namespace database table.
 * 
 */
@Entity
@Table(name="xml_namespace")
public class XmlNamespace implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "id_namespace_gen")
	@Column(name="id_namespace")
	@SequenceGenerator(name = "id_namespace_gen", sequenceName="seq_xml_namespace", allocationSize = 1)
	private Long idNamespace;

	private String prefix;

	private String value;

    public XmlNamespace() {
    }

	public Long getIdNamespace() {
		return this.idNamespace;
	}

	public void setIdNamespace(Long idNamespace) {
		this.idNamespace = idNamespace;
	}

	public String getPrefix() {
		return this.prefix;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}