/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.api.model.wsdl2;

import org.apache.ws.commons.schema.XmlSchemaElement;
import org.eclipse.ebpm.soap.api.model.Message;

public interface Wsdl2Message extends Message {

    public enum ContentModel {
        NONE,
        ANY,
        OTHER,
        ELEMENT;
        
        public static ContentModel parse(String str) {
            if ("#none".equals(str)) {
                return NONE;
            } else if ("#any".equals(str)) {
                return ANY;
            } else if ("#other".equals(str)) {
                return OTHER;
            } else if ("#element".equals(str)) {
                return ELEMENT;
            } else {
                return null;
            }
        }
    }
    
    public ContentModel getContentModel();
    
    public XmlSchemaElement getElementDeclaration();
}
