/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.http.impl;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpHeader;
import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpMessage;
import org.eclipse.ebpm.soap.core.model.AbstractWsdl2Message;

public class Wsdl2HttpMessageImpl extends AbstractWsdl2Message implements Wsdl2HttpMessage {

    private String httpTransferCoding;
    private List<Wsdl2HttpHeader> httpHeaders;
    
    public Wsdl2HttpMessageImpl() {
        httpHeaders = new ArrayList<Wsdl2HttpHeader>();
    }
    
    /**
     * @return the httpHeaders
     */
    public List<Wsdl2HttpHeader> getHttpHeaders() {
        return httpHeaders;
    }
    /**
     * @param httpHeaders the httpHeaders to set
     */
    public void addHttpHeader(Wsdl2HttpHeader httpHeader) {
        this.httpHeaders.add(httpHeader);
    }
    /**
     * @return the httpTransferCoding
     */
    public String getHttpTransferCoding() {
        return httpTransferCoding;
    }
    /**
     * @param httpTransferCoding the httpTransferCoding to set
     */
    public void setHttpTransferCoding(String httpTransferCoding) {
        this.httpTransferCoding = httpTransferCoding;
    }
    
}
