/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.http.impl;

import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpMessage;
import org.eclipse.ebpm.soap.bindings.http.model.Wsdl2HttpOperation;
import org.eclipse.ebpm.soap.core.model.AbstractWsdl2Operation;

public class Wsdl2HttpOperationImpl extends AbstractWsdl2Operation<Wsdl2HttpMessage> implements Wsdl2HttpOperation {

    private String httpInputSerialization;
    private String httpOutputSerialization;
    private String httpFaultSerialization;
    private String httpLocation;
    private String httpMethod;
    private String httpTransferCodingDefault;
    private boolean httpLocationIgnoreUncited;
    
    /**
     * @return the httpFaultSerialization
     */
    public String getHttpFaultSerialization() {
        return httpFaultSerialization;
    }
    /**
     * @param httpFaultSerialization the httpFaultSerialization to set
     */
    public void setHttpFaultSerialization(String httpFaultSerialization) {
        this.httpFaultSerialization = httpFaultSerialization;
    }
    /**
     * @return the httpInputSerialization
     */
    public String getHttpInputSerialization() {
        return httpInputSerialization;
    }
    /**
     * @param httpInputSerialization the httpInputSerialization to set
     */
    public void setHttpInputSerialization(String httpInputSerialization) {
        this.httpInputSerialization = httpInputSerialization;
    }
    /**
     * @return the httpLocation
     */
    public String getHttpLocation() {
        return httpLocation;
    }
    /**
     * @param httpLocation the httpLocation to set
     */
    public void setHttpLocation(String httpLocation) {
        this.httpLocation = httpLocation;
    }
    /**
     * @return the httpMethod
     */
    public String getHttpMethod() {
        return httpMethod;
    }
    /**
     * @param httpMethod the httpMethod to set
     */
    public void setHttpMethod(String httpMethod) {
        this.httpMethod = httpMethod;
    }
    /**
     * @return the httpOutputSerialization
     */
    public String getHttpOutputSerialization() {
        return httpOutputSerialization;
    }
    /**
     * @param httpOutputSerialization the httpOutputSerialization to set
     */
    public void setHttpOutputSerialization(String httpOutputSerialization) {
        this.httpOutputSerialization = httpOutputSerialization;
    }
    /**
     * @return the httpTransferCodingDefault
     */
    public String getHttpTransferCodingDefault() {
        return httpTransferCodingDefault;
    }
    /**
     * @param httpTransferCodingDefault the httpTransferCodingDefault to set
     */
    public void setHttpTransferCodingDefault(String httpTransferCodingDefault) {
        this.httpTransferCodingDefault = httpTransferCodingDefault;
    }
    /**
     * @return the httpLocationIgnoreUncited
     */
    public boolean isHttpLocationIgnoreUncited() {
        return httpLocationIgnoreUncited;
    }
    /**
     * @param httpLocationIgnoreUncited the httpLocationIgnoreUncited to set
     */
    public void setHttpLocationIgnoreUncited(boolean httpLocationIgnoreUncited) {
        this.httpLocationIgnoreUncited = httpLocationIgnoreUncited;
    }

}
