/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.http.model;

import org.eclipse.ebpm.soap.api.model.wsdl2.Wsdl2Binding;

public interface Wsdl2HttpBinding extends Wsdl2Binding<Wsdl2HttpOperation>{

    public enum AuthenticationType {
        NONE,
        BASIC,
        DIGEST
    }
    
    public String getHttpMethodDefault();
    
    public String getHttpQueryParameterSeparatorDefault();
    
    public boolean isHttpCookies();
    
    public String getHttpVersion();
    
    public String getHttpTransferCodingDefault();
    
    public AuthenticationType getHttpAuthenticationType();
    
    public String getHttpAuthenticationRealm();
    
}
