
/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.bindings.soap.interceptors;

import org.eclipse.ebpm.messaging.api.Exchange;
import org.eclipse.ebpm.soap.api.Message;
import org.eclipse.ebpm.soap.api.model.Operation;
import org.eclipse.ebpm.soap.bindings.soap.SoapConstants;
import org.eclipse.ebpm.soap.bindings.soap.model.SoapOperation;
import org.eclipse.ebpm.soap.core.AbstractInterceptor;

public class SoapActionOutOperationInterceptor extends AbstractInterceptor {

    public void handleMessage(Message message) {
        Operation operation = message.get(Operation.class);
        Exchange nmrExchange  = message.getContent(Exchange.class);
        if (!(operation instanceof SoapOperation)) {
        		Boolean mustSetByExchange = (Boolean)nmrExchange.getProperty("mustSetOperation");
        		if ((mustSetByExchange != null) && (mustSetByExchange)){
        			 message.getTransportHeaders().put(SoapConstants.SOAP_ACTION_HEADER,
        					 (String)nmrExchange.getProperty(SoapConstants.SOAP_ACTION_HEADER));
        			
        		}else{
        			message.getTransportHeaders().put(SoapConstants.SOAP_ACTION_HEADER, "");
        		}
        	
        	 //message.getTransportHeaders().put(SoapConstants.SOAP_ACTION_HEADER, "urn:chiamaServizio");
        	 return;
        }
        
        SoapOperation soapOp = (SoapOperation) operation;
        String soapAction = ((SoapOperation<?>) operation).getSoapAction();
        if (soapAction != null) {
            if (!soapAction.startsWith("\"") || !soapAction.endsWith("\"")) {
                soapAction = "\"" + soapAction + "\"";
            }
        } else {
            soapAction = "\"\"";
        }
        message.getTransportHeaders().put(SoapConstants.SOAP_ACTION_HEADER, soapAction);
    }

}
