/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.ebpm.soap.api.Interceptor;
import org.eclipse.ebpm.soap.api.Message;

/**
 */
public abstract class AbstractInterceptor implements Interceptor {
    
    private String id;
    private Set<String> before = new HashSet<String>();
    private Set<String> after = new HashSet<String>();

    
    public AbstractInterceptor() {
        id = getClass().getName();
    }

    public void addBefore(String i) {
        before.add(i);
    }

    public void addAfter(String i) {
        after.add(i);
    }

    public Set<String> getAfter() {
        return after;
    }

    public void setAfter(Set<String> a) {
        this.after = a;
    }

    public Set<String> getBefore() {
        return before;
    }

    public void setBefore(Set<String> b) {
        this.before = b;
    }

    public String getId() {
        return id;
    }

    public void setId(String i) {
        this.id = i;
    }

    public void handleFault(Message message) {
    }
    
}
