/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.eclipse.ebpm.soap.api.Interceptor;
import org.eclipse.ebpm.soap.api.InterceptorProvider;

/**
 */
public abstract class AbstractInterceptorProvider implements InterceptorProvider {

    private Map<Phase, List<Interceptor>> interceptors = new HashMap<Phase, List<Interceptor>>();
    
    public List<Interceptor> getInterceptors(Phase phase) {
        List<Interceptor> l = interceptors.get(phase);
        if (l == null) {
            l = new ArrayList<Interceptor>();
            interceptors.put(phase, l);
        }
        return l;
    }

}
