/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.core.model;

import java.net.URI;
import java.util.ArrayList;
import java.util.List;

import javax.xml.namespace.QName;

import org.eclipse.ebpm.soap.api.model.Message;
import org.eclipse.ebpm.soap.api.model.Operation;


public class AbstractOperation<T extends Message> implements Operation<T> {

    private QName name;
    private T input;
    private T output;
    private List<T> faults;
    private URI mep;
    
    public AbstractOperation() {
        faults = new ArrayList<T>();
    }
    
    /**
     * @return the name
     */
    public QName getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(QName name) {
        this.name = name;
    }
    /**
     * @return the input
     */
    public T getInput() {
        return input;
    }
    /**
     * @param input the input to set
     */
    public void setInput(T input) {
        this.input = input;
    }
    /**
     * @return the output
     */
    public T getOutput() {
        return output;
    }
    /**
     * @param output the output to set
     */
    public void setOutput(T output) {
        this.output = output;
    }
    /**
     * @return the mep
     */
    public URI getMep() {
        return mep;
    }
    /**
     * @param mep the mep to set
     */
    public void setMep(URI mep) {
        this.mep = mep;
    }
    /**
     * @return the faults
     */
    public List<T> getFaults() {
        return faults;
    }
    /**
     * @param fault the fault to add
     */
    public void addFault(T fault) {
        faults.add(fault);
    }

    
}
