/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.interceptors.nmr;

import javax.xml.stream.XMLStreamReader;
import javax.xml.transform.Source;

import org.eclipse.ebpm.soap.api.Message;
import org.eclipse.ebpm.soap.core.AbstractInterceptor;
import org.eclipse.ebpm.soap.util.stax.StaxUtil;

/*
 */
public class NmrWSDL2Interceptor extends AbstractInterceptor {

    public void handleMessage(Message message) {
        Source source = getContent(message);
        message.setContent(Source.class, source);
    }

    /**
     * Extract the content as a jaxp Source
     */
    protected Source getContent(Message message) {
        XMLStreamReader xmlReader = message.getContent(XMLStreamReader.class);
        return xmlReader != null ? StaxUtil.createSource(xmlReader) : null;
    }

}
