/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
/* This file contains code modified from Apache code */
package org.eclipse.ebpm.soap.interceptors.xml;

import java.io.InputStream;

import org.eclipse.ebpm.soap.api.Message;
import org.eclipse.ebpm.soap.core.AbstractInterceptor;
import org.eclipse.ebpm.soap.util.DomUtil;
import org.w3c.dom.Document;

/**

 */
public class DomInInterceptor extends AbstractInterceptor {

    public DomInInterceptor() {
        addBefore(StaxInInterceptor.class.getName());
    }
    
    /**
     * Create a DOM document from an InputStream content.
     * 
     * @see org.eclipse.ebpm.soap.api.Interceptor#handleMessage(org.eclipse.ebpm.soap.api.Message)
     */
    public void handleMessage(Message message) {
        InputStream is = message.getContent(InputStream.class);
        if (is == null) {
            return;
        }
        Document document = DomUtil.parse(is);
        message.setContent(Document.class, document);
    }
    
}
