/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.workflow.api;

/**
 * @author boccalon
 * This object is used in the "restart" method of the ControlAPI to specify
 * which messages has been changed by the user, before using the restart feature.
 *
 */
public class ModifiedMessage {
	
	private String xmlMessage;
	private long idJournal;
	
	public ModifiedMessage(String xmlMessage, long idJournal) {
		super();
		this.xmlMessage = xmlMessage;
		this.idJournal = idJournal;
	}
	
	public String getXmlMessage() {
		return xmlMessage;
	}
	public void setXmlMessage(String xmlMessage) {
		this.xmlMessage = xmlMessage;
	}
	public long getIdJournal() {
		return idJournal;
	}
	public void setIdJournal(long idJournal) {
		this.idJournal = idJournal;
	}

}
