/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.workflow.api;

public class SpagicWorkflowException extends RuntimeException {
	
	private String code = null;
	public static final String DEFAULT_CODE ="SPWF001";
	
	public SpagicWorkflowException() {
		super();
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String msg, Throwable thr) {
		super(msg + "\n[Caused by] " + thr.getMessage(), thr);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String msg) {
		super(msg);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(Throwable thr) {
		super(thr);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String code, String msg, Throwable thr) {
		super(msg + "\n[Caused by] " + thr.getMessage(), thr);
		this.code = code;
	}
	
	public SpagicWorkflowException(String code, String msg) {
		super(msg);
		this.code = code;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	

}
