/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.eclipse.ebpm.xmlutil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.xml.namespace.NamespaceContext;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Namespace;
import org.dom4j.io.DOMReader;
import org.dom4j.io.DOMWriter;
import org.w3c.dom.Element;


public class DOM4JUtils {


	  public static Document dom_to_dom4j(org.w3c.dom.Document domDocument) {
	    DOMReader xmlReader = new DOMReader();
	    return xmlReader.read(domDocument);
	  }
	  
	  public static org.w3c.dom.Document dom4j_to_dom(Document domDocument) throws DocumentException {
		    DOMWriter xmlWriter= new DOMWriter();
		    return xmlWriter.write(domDocument);
	  }

	  public static NamespaceContext getNamespaceContext(Document dom4JDocument){
		  
		  List<Namespace> namespaces = new ArrayList<Namespace>();
		  retrieveNamespace(dom4JDocument.getRootElement(), namespaces);
		 
		  Map<String, String> nsMap = new HashMap<String, String>();
		  
		  for ( Namespace ns : namespaces){
			  nsMap.put(ns.getPrefix(), ns.getURI());
		  }
		  
		  MapNamespaceContext mapNamespaceContext = new MapNamespaceContext(nsMap);
		  return mapNamespaceContext;
	  }
	  
	  public static NamespaceContext getNamespaceContext(org.w3c.dom.Document domDocument){
		  
		  Document dom4Jdocument = dom_to_dom4j(domDocument);
		  return getNamespaceContext(dom4Jdocument);
		  
		  
	  }
	  
	  private static void retrieveNamespace(org.dom4j.Element el, List l) {
	 		l.addAll(el.declaredNamespaces());
	 		if (!isLeaf(el)) {
	 			List<org.dom4j.Element> childs = el.elements();
	 			for (org.dom4j.Element e : childs)
	 				retrieveNamespace(e, l);
	 		}
	 	}

	 	public static boolean isLeaf(org.dom4j.Element elem) {
	 		return elem.elements().size() == 0;
	 	}	
}
