/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.components.bpm.activator;

import org.eclipse.ebpm.datasource.IDataSourceManager;
import org.eclipse.ebpm.workflow.api.IProfileService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.spagic3.components.bpm.IDatasourceManagerTracker;
import org.spagic3.components.bpm.invoker.IServiceInvoker;
import org.spagic3.components.bpm.invoker.InvokerServiceTracker;
import org.spagic3.components.bpm.profile.ProfileServiceTracker;

import bsh.BshClassManager;
import bsh.Interpreter;

public class BPMComponentActivator implements BundleActivator {

	
	private static InvokerServiceTracker invokerServiceTracker = null;
	private static IDatasourceManagerTracker iDatasourceManagerTracker = null;
	private static ProfileServiceTracker profileServiceTracker = null;
	
	private static BundleContext ctx = null;
	
	

	@Override
	public void start(BundleContext context) throws Exception {
		ctx = context;
		System.setProperty("SPAGIC_HIBERNATE_OSGI_STRATEGY", "org.spagic3.components.bpm.OSGiSessionFactoryInitializer");
		invokerServiceTracker = new InvokerServiceTracker(context);
		iDatasourceManagerTracker = new IDatasourceManagerTracker(context);
		profileServiceTracker = new ProfileServiceTracker(context);
		iDatasourceManagerTracker.open();
		invokerServiceTracker.open();
		profileServiceTracker.open();
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		iDatasourceManagerTracker.close();
		invokerServiceTracker.close();
		profileServiceTracker.close();
	}
	
	
	public static IServiceInvoker getServiceInvoker(){
		return (IServiceInvoker)invokerServiceTracker.getService();
	}
	
	public static IDataSourceManager getDataSourceManager(){
		return (IDataSourceManager)iDatasourceManagerTracker.getService();
	}
	
	public static IProfileService getAuthorizationService(){
		return (IProfileService)profileServiceTracker.getService();
	}
	
	public static BundleContext getCtx() {
		return ctx;
	}
	
}
