/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.components.bpm.deploy;

import org.eclipse.stp.im.StpIntermediateModel;

public interface IDeploymentProcessor {
	/**
	 * Change the Intermediate Model Process according to some specific binding
	 * rules.
	 * @param process Original IM process
	 * @param stpIntermediateModel
	 * @return Modified IM process
	 */
	public void process(StpIntermediateModel imModel);
	
	
	
	/**
	 * @return The binding managed by the processor, i.e. runtime.bpel or runtime.jbi.smx
	 */
	String getRuntimeId();
	
	/**
	 * @return The tecnology managed by the processor, i.e. JBI or BPEL
	 */
	String getTechnology();
	
	
	boolean handleAutomaticVersioning();
	
}
