/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.components.bpm.monitoring;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.jbpm.logging.LoggingService;
import org.jbpm.logging.log.ProcessLog;
import org.spagic.monitoring.jbpm.MonitorServiceJBPM;
import org.spagic.monitoring.jbpm.message.JBPMMessage;


public class Spagic3MonitoringService implements LoggingService {

	private static final long serialVersionUID = 1L;
	private static final Logger log = LoggerFactory.getLogger(Spagic3MonitoringService.class);

	private MonitorServiceJBPM monitorService = null;
	
	public Spagic3MonitoringService() {
		super();
    	monitorService = new MonitorJBPMSpagic3();
	}

	public void log(ProcessLog processLog) {
		JBPMMessage jbpmMessage = new JBPMMessage(processLog, log);
		monitorService.traceMessage(jbpmMessage);
	}

	public void close() {
	}

}
