package org.spagic3.components.processcontroller;

import java.util.concurrent.atomic.AtomicReference;

import org.eclipse.ebpm.core.BaseSpagicService;
import org.eclipse.ebpm.messaging.api.Exchange;
import org.eclipse.ebpm.messaging.api.Message;
import org.eclipse.ebpm.workflow.api.IProcessEngine;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

abstract public class ProcessControllerService extends BaseSpagicService {

	protected Logger logger = LoggerFactory.getLogger(ProcessControllerService.class);

	private final AtomicReference<IProcessEngine> delegatedEngine = new AtomicReference<IProcessEngine>(null);

	public IProcessEngine getDelegatedEngine() {
		return delegatedEngine.get();
	}

	public void unsetDelegatedEngine(IProcessEngine processEngine) {
		this.delegatedEngine.compareAndSet(processEngine, null);
	}
	
	public void setDelegatedEngine(IProcessEngine processEngine) {
		this.delegatedEngine.set(processEngine);
	}

	public void init() {

	}

	@Override
	public boolean run(Exchange exchange, Message in, Message out)
			throws Exception {
		return true;
	}

}
