/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.exchanges;

import org.eclipse.ebpm.messaging.api.Exchange;
import org.osgi.service.prefs.Preferences;
import org.osgi.service.prefs.PreferencesService;

public class OSGiPreferenceExchangeStore implements IExchangeStore {

	private  PreferencesService preferenceService = null;
	private static final String NODE_EXCHANGES = "exchanges";
	private ExchangeSerializer serializer = new ExchangeSerializer();
	
		
	

	public PreferencesService getPreferenceService() {
		return preferenceService;
	}

	public void bindPreferenceService(PreferencesService preferenceService) {
		this.preferenceService = preferenceService;
	}
	
	public void unbind(PreferencesService preferenceService) {
		this.preferenceService = preferenceService;
	}

	@Override
	public Exchange delete(Long pid) {
		Preferences pref = getPreferenceService().getSystemPreferences().node(NODE_EXCHANGES);
		Exchange e = load(pid);
		pref.remove(pid.toString());
		return e;
	}

	

	@Override
	public Exchange load(Long pid) {
		Preferences pref = getPreferenceService().getSystemPreferences().node(NODE_EXCHANGES);
		byte[] bytes = pref.getByteArray(pid.toString(), null);
		if (bytes != null){
			return (Exchange)serializer.fromByteArray(bytes);
		}else{
			return null;
		}
	}

	@Override
	public void store(Long pid, Exchange ex) {
		Preferences pref = getPreferenceService().getSystemPreferences().node(NODE_EXCHANGES);
		byte[] bytes = serializer.toByteArray(ex);
		if (bytes != null){
			pref.putByteArray(pid.toString(), bytes);
		}else{
			return;
		}
		
	}
	
}
