package org.spagic3.nodemanager.jgroup;

import java.util.ArrayList;
import java.util.List;
import java.util.Vector;
import java.util.concurrent.ConcurrentHashMap;

import org.eclipse.ebpm.nodemanager.api.INodeManager;
import org.eclipse.ebpm.nodemanager.api.INodeManagerListener;
import org.jgroups.Address;
import org.jgroups.JChannel;
import org.jgroups.ReceiverAdapter;
import org.jgroups.View;

public class JGroupNodeManager extends ReceiverAdapter implements INodeManager {
	
	private INodeManagerListener listener = null;
	private JChannel channel = null;
	
	@Override
	public void disconnet() {
		channel.disconnect();
	}

	

	@Override
	public void join(String cluster, String nodeId) {
		try{
			JChannel channel = new JChannel();
			channel.setName(nodeId);
			channel.setReceiver(this);
			channel.connect("SpagicCluster");

		}catch (Exception e) {
			throw new RuntimeException(e);
		}
		
	}

	@Override
	public void registerListener(INodeManagerListener nodeManagerList) {	
		this.listener = nodeManagerList;
	}
	
	public void viewAccepted(View newView) {
		
        Vector<Address> viewMembers = newView.getMembers();
        List<String> viewMembersAsString = new ArrayList<String>();
        
    
        for (Address address : viewMembers){
        	String newViewNode = address.toString();
        	viewMembersAsString.add(newViewNode);
        }
        
        this.listener.onClusterChange(viewMembersAsString);
        
        
      
 }

}
